#ifndef __PID_CONTROLLER_H
#define __PID_CONTROLLER_H

#include "_config_cpu_.h"

void pid_Init(uint ts, double _kP, double _kI, double _kD);
void pid_SetPoint(double sp);
void pid_Run(uint _run);
double pid_Values(double _newSample);
void pid_Reset(void);
void pid_Tick(void);

#endif
